Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name | ### frustum()
Examples |
    size(100, 100, P3D);
    noFill();
    background(204);
    frustum(-width/2, width, 0, height, -100, 200.0);
    rotateY(PI/6);
    box(45);
Description | Sets a perspective matrix defined through the parameters. Works like glFrustum, except it wipes out the current perspective matrix rather than muliplying itself with it.
Syntax |
    frustum(left, right, bottom, top, near, far)
Parameters |
left | float: left coordinate of the clipping plane
right | float: right coordinate of the clipping plane
bottom | float: bottom coordinate of the clipping plane
top | float: top component of the clipping plane
near | float: near component of the clipping plane
far | float: far component of the clipping plane
Usage | Web & Application
Related | camera() endCamera() perspective()

Updated on September 20, 2006 12:39:28pm PDT